# 斗地主AI系统使用指南

## 系统概述

本系统是一个基于Erlang实现的斗地主游戏AI系统，支持AI玩家自动对战。系统包含完整的斗地主规则实现、多玩家支持、房间管理和AI决策引擎。

## 系统启动

### 启动整个系统

在Erlang shell中执行以下命令启动系统：

```erlang
start_system:start().
```

成功启动后，将看到以下输出：

```
Starting cardSrv system...
System started successfully!
{ok,started}
```

### 启动AI游戏

启动系统后，可以创建一个全AI玩家的游戏：

```erlang
start_system:start_ai_game().
```

成功创建AI游戏后，将看到以下输出：

```
Creating an AI-only game...
AI game created successfully with ID: 1
{ok,1}
```

系统会自动创建三个AI玩家并开始游戏。AI玩家会根据游戏规则和策略自动出牌，直到游戏结束。

### 停止系统

要停止系统，执行以下命令：

```erlang
start_system:stop().
```

## 系统组件

系统主要包含以下组件：

1. **游戏核心模块**：实现斗地主游戏规则和逻辑
2. **AI系统模块**：实现AI决策和策略
3. **系统支持模块**：提供房间管理、游戏管理和系统监督

## 开发指南

### 编译系统

在项目根目录执行以下命令编译系统：

```bash
rebar3 compile
```

### 运行测试

执行以下命令运行测试套件：

```erlang
test_suite:run_full_test().
```

### 验证AI性能

要验证AI系统的性能，可以执行：

```erlang
test_suite:validate_ai_performance(ai_core).
```

## 故障排除

如果系统启动失败，请检查：

1. 确保所有依赖模块已正确编译
2. 检查系统日志查看详细错误信息
3. 确保没有端口冲突

## 注意事项

- 系统目前仅支持3人标准斗地主
- AI玩家的决策基于概率和策略，不保证最优解
- 系统仍在开发中，可能存在未知问题